package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaExamPlanMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaExamPlan;
import com.goldenwater.slaj.ttsa.service.IBisTtsaExamPlanService;

@Service
public class BisTtsaExamPlanServiceImpl implements IBisTtsaExamPlanService {
    @Autowired
    private BisTtsaExamPlanMapper bisTtsaExamPlanMapper;

    @Override
    public BisTtsaExamPlan selectBisTtsaExamPlanByGuid(String guid) {
        return bisTtsaExamPlanMapper.selectBisTtsaExamPlanByGuid(guid);
    }

    @Override
    public List<BisTtsaExamPlan> selectBisTtsaExamPlanList(BisTtsaExamPlan bisTtsaExamPlan) {
        return bisTtsaExamPlanMapper.selectBisTtsaExamPlanList(bisTtsaExamPlan);
    }

    @Override
    public int insertBisTtsaExamPlan(BisTtsaExamPlan bisTtsaExamPlan) {
        return bisTtsaExamPlanMapper.insertBisTtsaExamPlan(bisTtsaExamPlan);
    }

    @Override
    public int updateBisTtsaExamPlan(BisTtsaExamPlan bisTtsaExamPlan) {
        return bisTtsaExamPlanMapper.updateBisTtsaExamPlan(bisTtsaExamPlan);
    }

    @Override
    public int deleteBisTtsaExamPlanByGuid(String guid) {
        return bisTtsaExamPlanMapper.deleteBisTtsaExamPlanByGuid(guid);
    }

    @Override
    public int deleteBisTtsaExamPlanByGuids(String[] guids) {
        return bisTtsaExamPlanMapper.deleteBisTtsaExamPlanByGuids(guids);
    }
}
